ChangeSet 1.1119.1.9, 2003/08/06 15:51:53-07:00, oliver@neukum.org

[PATCH] USB: use of __devinit in st5481

> But you CAN NOT mark the usb_device_id table as __devinitdata or
> __initdata as that will be touched later on if a new USB device is
> added, or if a new usb module is loaded.

So these need to go.

  - remove __devinit from anything called from probe()


 drivers/isdn/hisax/st5481_b.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/isdn/hisax/st5481_b.c b/drivers/isdn/hisax/st5481_b.c
--- a/drivers/isdn/hisax/st5481_b.c	Fri Aug  8 17:05:24 2003
+++ b/drivers/isdn/hisax/st5481_b.c	Fri Aug  8 17:05:24 2003
@@ -245,7 +245,7 @@
 	}
 }
 
-static int __devinit st5481_setup_b_out(struct st5481_bcs *bcs)
+static int st5481_setup_b_out(struct st5481_bcs *bcs)
 {
 	struct usb_device *dev = bcs->adapter->usb_dev;
 	struct usb_host_interface *altsetting;
@@ -279,7 +279,7 @@
 	st5481_release_isocpipes(b_out->urb);
 }
 
-int __devinit st5481_setup_b(struct st5481_bcs *bcs)
+int st5481_setup_b(struct st5481_bcs *bcs)
 {
 	int retval;
 
